- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffEntryBase Class Reference

This abstract base class provides the common functionality of an IFD directory entry and defines an extended interface for derived concrete entries, which allows access to the attributes of the entry. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffEntryBase:

[legend]
Collaboration diagram for Exiv2::TiffEntryBase:

[legend]
List of all members.

## Public Member Functions
Creators
| TiffEntryBase (uint16_t tag, uint16_t group)
| Default constructor.
virtual | ~TiffEntryBase ()
| Virtual destructor.
Accessors
TypeId | typeId () const
| Return the Exiv2 type which corresponds to the field type.
uint32_t | count () const
| Return the number of components in this entry.
uint32_t | offset () const
uint32_t | size () const
| Return the size of this component in bytes.
const byte * | pData () const
| Return a pointer to the data area of this component.
const Value * | pValue () const
| Return a pointer to the converted value of this component.
## Friends
class | TiffReader

## Detailed Description

This abstract base class provides the common functionality of an IFD directory entry and defines an extended interface for derived concrete entries, which allows access to the attributes of the entry.

## Member Function Documentation

uint32_t Exiv2::TiffEntryBase::offset | ( |  | ) | const`[inline]`

| Return the offset to the data area relative to the base for the component (usually the start of the TIFF header)

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp